<img src="https://github.com/RocketChat/Rocket.Chat.Artwork/raw/master/Logos/2020/png/logo-horizontal-red.png" data-canonical-src="https://github.com/RocketChat/Rocket.Chat.Artwork/raw/master/Logos/2020/png/logo-horizontal-red.png" width="500" />

[Rocket.Chat](https://rocket.chat) is an open-source fully customizable communications platform developed in JavaScript for organizations with high standards of data protection.

We are a MERN based application enabling real-time conversations between colleagues, with other companies or with your customers, regardless of how they connect with you. The result is an increase in productivity and customer satisfaction rates.

Every day, tens of millions of users in over 150 countries and in organizations such as Deutsche Bahn, The US Navy, and Credit Suisse trust [Rocket.Chat](https://rocket.chat) to keep their communications completely private and secure.

 * [Review product documentation](https://docs.rocket.chat/)
 * [Review developer documentation](https://developer.rocket.chat/)
 
<img src="https://github.com/RocketChat/Rocket.Chat.Artwork/blob/master/Product%20Images/Welcome%20to%20RC%20(Readme).jpg" data-canonical-src="https://github.com/RocketChat/Rocket.Chat.Artwork/blob/master/Product%20Images/Welcome%20to%20RC%20(Readme).jpg" width="919" height="511" />

Table of Contents
=================
* [Editions](Editions)
* [Installation](Installation)
* [Feature Request](Feature-Request)
* [Community](Community)
* [Contributions](Contributions)
* [Credits](Credits)
* [Mobile Apps](Mobile-Apps)
* [Learn More](Learn-More)
* [Become a Rocketeer](Become-a-Rocketeer)
* [Get the Latest News](Get-the-Latest-News)


## Editions

Rocket.Chat offers endless [possibilities](https://rocket.chat/pricing/):

### Self-Managed ###
Host your own workplace on-premises or in your own cloud.

**Plans:** Community, Pro, Enterprise  

### SAAS ###
Free trial on our website. 

**Plans:** Bronze, Silver, Gold 

## Installation
Please see the [requirements documentation](https://docs.rocket.chat/installing-and-updating/minimum-requirements-for-using-rocket.chat) for system requirements and more information about the supported operating systems.
Please refer to [Install Rocket.Chat](https://rocket.chat/install/) to install your Rocket.Chat instance.


## Feature Request 

[Rocket.Chat/feature-requests](https://github.com/RocketChat/feature-requests) is used to track Rocket.Chat feature requests and discussions. Click [here](https://github.com/RocketChat/feature-requests/issues/new?template=feature_request.md) to open a new feature request. [Feature Request Forums](https://forums.rocket.chat/c/feature-requests/8) stores the historical archives of old feature requests (up to 2018).

## Community

Join thousands of members worldwide in our [community server](https://open.rocket.chat/).
Join [#Support](https://open.rocket.chat/channel/support) for help from our community with general Rocket.Chat questions.
Join [#Dev](https://open.rocket.chat/channel/dev) for needing help from the community to develop new features.

## Contributions

Rocket.Chat is an open source project and we are very happy to accept community contributions. Please refer to the [How can I help?](https://docs.rocket.chat/contributors/how-can-i-help) for more details.

## Credits

* Emoji provided graciously by [JoyPixels](https://www.joypixels.com/)
* Testing with [BrowserStack](https://www.browserstack.com/)
* Translations done with [LingoHub](https://lingohub.com/)


## Mobile Apps

In addition to the web interface, you can also download Rocket.Chat clients for:

[![Rocket.Chat on Apple App Store](https://user-images.githubusercontent.com/551004/29770691-a2082ff4-8bc6-11e7-89a6-964cd405ea8e.png)](https://itunes.apple.com/us/app/rocket-chat/id1148741252?mt=8) [![Rocket.Chat on Google Play](https://user-images.githubusercontent.com/551004/29770692-a20975c6-8bc6-11e7-8ab0-1cde275496e0.png)](https://play.google.com/store/apps/details?id=chat.rocket.android)  [![](https://user-images.githubusercontent.com/551004/48210349-50649480-e35e-11e8-97d9-74a4331faf3a.png)](https://f-droid.org/en/packages/chat.rocket.android/)

## Learn More
* [API](https://developer.rocket.chat/)
* [See who's using Rocket.Chat](https://rocket.chat/customer-stories/)

## Become a Rocketeer
We're hiring developers, support people, and product managers all the time. Please check our [jobs page](https://rocket.chat/jobs/).

## Get the Latest News

* Twitter - Follow [Rocket.Chat](https://twitter.com/RocketChat)
* Blog - Get the latest updates from the [Rocket.Chat blog](https://rocket.chat/blog/).
* Facebook - Follow [Rocket.Chat](https://www.facebook.com/RocketChatApp/)
* LinkedIn - Follow [Rocket.Chat](https://www.linkedin.com/company/rocket-chat/)
* Youtube - Follow [Rocket.Chat](https://www.youtube.com/channel/UCin9nv7mUjoqrRiwrzS5UVQ)
* Email - Subscribe to our [newsletter](https://rocket.chat/newsletter/)

Any other questions, mail us at [info@rocket.chat](info@rocket.chat). We’d love to meet you!


